import {FileCodeAmazon} from "../descriptor";
import {ValidatorDatasource} from "./validator.datasource";
import Logger from "../utils/logger";

export class ValidatorAmazon extends ValidatorDatasource  {
    protected readonly logger = new Logger("Amazon Validator");

    protected DEFAULT_FILE_CODES: FileCodeAmazon[] = [
        FileCodeAmazon.ADV_AUDIENCES,
        FileCodeAmazon.ADV_CLICKS,
        FileCodeAmazon.ADV_THIRDPARTIES,
        FileCodeAmazon.ALEXA_CALENDARS,
        FileCodeAmazon.ALEXA_CAMERA_ALERTS,
        FileCodeAmazon.ALEXA_CAMERAS_ALERTS,
        FileCodeAmazon.ALEXA_DEVICES,
        FileCodeAmazon.ALEXA_FEEDBACK,
        FileCodeAmazon.ALEXA_KARAOKE,
        FileCodeAmazon.ALEXA_LISTS,
        FileCodeAmazon.ALEXA_LOCATION,
        FileCodeAmazon.ALEXA_NOTIFICATIONS,
        FileCodeAmazon.ALEXA_PROACTIVE,
        FileCodeAmazon.ALEXA_SHOPPING,
        FileCodeAmazon.ALEXA_USER_STATS,
        FileCodeAmazon.APPSTORE_SUB_PERIOD,
        FileCodeAmazon.APPSTORE_SUB_TRANSACTION,
        FileCodeAmazon.AUDIBLE_LIBRARY,
        FileCodeAmazon.AUDIBLE_MEMBERSHIP_BILLINGS,
        FileCodeAmazon.AUDIBLE_MEMBERSHIP_EVENT,
        FileCodeAmazon.AUDIENCES,
        FileCodeAmazon.CUSTOMER_ENGAGEMENT,
        FileCodeAmazon.DEVICES_COMMUNICATION_PREFERENCES,
        FileCodeAmazon.DIGITAL_ACTION_BENEFIT,
        FileCodeAmazon.DIGITAL_CONTENT_WHISPERSYNC,
        FileCodeAmazon.DIGITAL_CUSTOMER_ATTRIBUTES,
        FileCodeAmazon.DIGITAL_ORDERING_ITEM,
        FileCodeAmazon.DIGITAL_ORDERING_MONETARY,
        FileCodeAmazon.DIGITAL_ORDERING_ORDERS,
        FileCodeAmazon.DIGITAL_ORDERING_PAYMENT_INFO,
        FileCodeAmazon.DIGITAL_ORDERS_RETURNS_MONETARY,
        FileCodeAmazon.DIGITAL_ORDERS_RETURNS_TRANSACTION,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION_BENEFICIARIES,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION_BILLING_ITEMS,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION_BILLING_SCHEDULE,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION_PERIODS,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION_STATUS_HISTORY,
        FileCodeAmazon.GAMES_ENTITLEMENTS,
        FileCodeAmazon.GAMES_EGRESS_IDENTITY,
        FileCodeAmazon.GAMES_IDENTITIES,
        FileCodeAmazon.GAMES_TWITCHPRIME_ACCOUNT_HISTORY,
        FileCodeAmazon.GAMES_TWITCHPRIME_CLAIMED_OFFERS,
        FileCodeAmazon.GAMES_TWITCHPRIME_SUB_HISTORY,
        FileCodeAmazon.GAMES_TWITCHPRIME_LINKED_ACCOUNT,
        FileCodeAmazon.MUSIC_ACCOUNT,
        FileCodeAmazon.PAYMENT_OPTIONS_INSTRUMENTS,
        FileCodeAmazon.PRIMEVIDEO_CUSTOMER_TITLE_RECOMMENDED,
        FileCodeAmazon.PRIMEVIDEO_LOCATION_DATA,
        FileCodeAmazon.PRIMEVIDEO_VIEW_COUNT,
        FileCodeAmazon.PRIMEVIDEO_VIEWINGHISTORY,
        FileCodeAmazon.PRIMEVIDEO_WATCHLIST,
        FileCodeAmazon.PRIMEVIDEO_WATCHLIST_HISTORY,
        FileCodeAmazon.PRIMEVIDEO_WATCH_EVENT,
        FileCodeAmazon.RETAIL_CART_ITEMS,
        FileCodeAmazon.RETAIL_COMMUNITY_CONTRIBUTION_ELIGIBILITY,
        FileCodeAmazon.RETAIL_CUSTOMER_PROFILE_ATTRIBUTES,
        FileCodeAmazon.RETAIL_CUSTOMER_RETURNS,
        FileCodeAmazon.RETAIL_CUSTOMER_REVIEWS,
        FileCodeAmazon.RETAIL_CUSTOMER_FEEDBACK,
        FileCodeAmazon.RETAIL_LIGHT_WEIGHT_INTERACTIONS,
        FileCodeAmazon.RETAIL_ORDER_HISTORY,
        FileCodeAmazon.RETAIL_ORDER_RETURNED,
        FileCodeAmazon.RETAIL_ORDER_RETURNED_PAYMENTS,
        FileCodeAmazon.RETAIL_PROMOTIONS,
        FileCodeAmazon.RETAIL_REGION_AUTHORITY,
        FileCodeAmazon.RETAIL_SEARCH_PRODUCT_METRICS,
        FileCodeAmazon.RETAIL_SEARCH_CUSTOMER_ENGAGEMENT,
        FileCodeAmazon.RETAIL_SELLER_FEEDBACK,
        FileCodeAmazon.SUBSCRIPTION_BILLING_REFUNDS_DATA,
        FileCodeAmazon.WISHLIST,
        /*
        FileCodeAmazon.AUDIBLE_DEVICES_ACTIVATIONS,
        FileCodeAmazon.DEVICES_COMMUNICATION_EMAIL_HISTORY,
        FileCodeAmazon.DIGITAL_SUBSCRIPTION_PROBLEMS,
        FileCodeAmazon.MUSIC_PREFERENCES_ACCOUNT,
        FileCodeAmazon.OUTBOUND_NOTIFICATIONS_DATA,
        FileCodeAmazon.OUTBOUND_NOTIFICATIONS_EVENTS,
        FileCodeAmazon.OUTBOUND_NOTIFICATIONS_FEEDBACK,
        FileCodeAmazon.OUTBOUND_NOTIFICATIONS_HISTORY,
        FileCodeAmazon.OUTBOUND_NOTIFICATIONS_SENT,
        FileCodeAmazon.RETAIL_AUTHENTICATION,
        FileCodeAmazon.RETAIL_AUTHENTICATION_TOKENS,
        FileCodeAmazon.RETAIL_CHAT_MESSAGE_TRANSCRIPT,
        FileCodeAmazon.RETAIL_CUSTOMER_QUESTION_POSTED,
        FileCodeAmazon.RETAIL_CUSTOMER_ANSWER_POSTED,
        FileCodeAmazon.RETAIL_OUTBOUND_NOTIFICATION_EML,
        FileCodeAmazon.RETAIL_OUTBOUND_NOTIFICATION_METADATA_1,
        FileCodeAmazon.RETAIL_OUTBOUND_NOTIFICATION_METADATA,
        FileCodeAmazon.RETAIL_OUTBOUND_NOTIFICATION_MOBILE,
        FileCodeAmazon.SETTING_PRIVACY,
         */
    ];
}
